Index: table.c
===================================================================
RCS file: /cvs/gnome/vte/src/table.c,v
retrieving revision 1.18
diff -u -r1.18 table.c
--- table.c	29 Apr 2005 20:17:41 -0000	1.18
+++ table.c	3 Jul 2005 00:56:26 -0000
@@ -200,6 +200,7 @@
 						b->len - initial,
 						result, quark, inc);
 			}
+			
 			for (i = 1;
 			     i <= VTE_TABLE_MAX_NUMERIC_DEPTH;
 			     i++) {
@@ -216,7 +217,43 @@
 						b->data, b->len,
 						b->data + initial, b->len - initial,
 						result, quark, inc);
+				
 			}
+
+			for (i = 1;
+			     i <= VTE_TABLE_MAX_NUMERIC_DEPTH;
+			     i++) {
+				g_byte_array_set_size(b, 0);
+				g_byte_array_append(b, original, initial);
+				for (j = 1; j <= i; j++) {
+					g_byte_array_append(b, ";", 1);
+					g_byte_array_append(b, "%d", 2);
+				}
+				g_byte_array_append(b, pattern + 2, length - 2);
+				_vte_table_addi(table,
+						b->data, b->len,
+						b->data + initial, b->len - initial,
+						result, quark, inc);
+				
+			}
+
+			for (i = 1;
+			     i <= VTE_TABLE_MAX_NUMERIC_DEPTH;
+			     i++) {
+				g_byte_array_set_size(b, 0);
+				g_byte_array_append(b, original, initial);
+				for (j = 1; j <= i; j++) {
+					g_byte_array_append(b, "%d", 2);
+					g_byte_array_append(b, ";", 1);
+				}
+				g_byte_array_append(b, pattern + 2, length - 2);
+				_vte_table_addi(table,
+						b->data, b->len,
+						b->data + initial, b->len - initial,
+						result, quark, inc);
+				
+			}
+
 			g_byte_array_free(b, TRUE);
 			return;
 		}
@@ -816,6 +853,7 @@
 		"]3;3h",
 		"[3;3k",
 		"[3;3kj",
+		"[;1m",
 		"s",
 	};
 	const char *result, *p;
@@ -836,6 +874,7 @@
 	_vte_table_add(table, "[%d;%d;%dm", 11, "set-graphic-rendition", 0);
 	_vte_table_add(table, "[%dm", 5, "set-graphic-rendition", 0);
 	_vte_table_add(table, "[m", 3, "set-graphic-rendition", 0);
+	_vte_table_add(table, "[%mm", 5, "set-graphic-rendition", 0);
 	_vte_table_add(table, "]3;%s", 7, "set-icon-title", 0);
 	_vte_table_add(table, "]4;%s", 7, "set-window-title", 0);
 	printf("Table contents:\n");
